Skip to main content
POST
https://finsync.ar
/
api
/
operations
curl --request POST \ --url https://finsync.ar/api/operations \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "operation_type_id": 1, "internal_account_id": 123, "external_client_id": 456, "internal_amount": 1000, "external_amount": 1000, "external_currency": "USD" } '
{
  "operation_id": 123,
  "message": "<string>",
  "transactions": [
    123
  ]
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Body

application/json
operation_type_id
integer
required

ID of the operation type (must be UP or DOWN type)

internal_account_id
integer
required

ID of the internal account

external_client_id
integer
required

ID of the external client

external_currency
string
required

Currency for the external client account

internal_amount
number
required

Amount for the internal transaction

Required range: x >= 0.01
external_amount
number
required

Amount for the external transaction

Required range: x >= 0.01
description
string

Optional operation description

internal_description
string

Optional description for internal transaction

external_description
string

Optional description for external transaction

commissions
object[]

Optional array of commission transactions

Response

Operation created successfully

operation_id
integer

ID of the created operation

message
string

Success message

transactions
integer[]

List of created transaction IDs